- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_stream_t

# mongoc_stream_close()

## Synopsis

    int
    mongoc_stream_close (mongoc_stream_t *stream);

## Parameters

- `stream`: A mongoc_stream_t.

This function shall close underlying file-descriptors of `stream`.

## Returns

`0` on success, otherwise `-1` and `errno` is set.

## See Also

mongoc_stream_destroy()

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.